«前の日(11-12) 最新 次の日(11-14)» 追記

ソフトウェアと本の覚え書き

2005|10|11|12|
2006|01|02|03|04|05|06|07|08|09|10|11|12|
2007|01|02|03|04|05|06|07|08|09|10|11|12|
2008|01|02|03|04|05|06|07|08|09|10|11|12|
2009|01|02|03|04|05|06|07|08|09|10|11|12|
2010|01|02|03|04|05|06|07|08|09|10|11|12|
2011|01|02|03|04|05|06|07|08|09|10|11|12|
2012|01|02|03|04|05|06|07|08|09|10|11|12|
2013|01|02|03|04|05|06|07|08|09|10|11|12|
2014|01|02|03|04|05|06|07|08|09|10|11|12|
2015|01|02|03|04|05|06|07|08|09|10|11|12|
2016|01|02|03|04|05|06|07|08|09|10|11|12|
2017|01|02|03|04|05|06|07|08|09|10|11|

2009-11-13

_ [読書] 信田さよ子『共依存・からめとる愛』

「誰々のために」と行われるケアや助けが実際にはその人を支配していて、当人を苦しめることになることがある。しかし、ケアによる目立たない支配は、与え手がそうせざるを得ない状況に追い込まれてしまったという事情がある場合もある。共依存を考えるときにはこれらを考慮しなければならない。

おすすめ度:★★★★★

共依存・からめとる愛


2010-11-13

_ [プログラミング] extconf.rb でライブラリのバージョンをチェック

Ruby の拡張ライブラリを作るときに、使用するライブラリのバージョンをチェックしたい。具体的には mpfr がインストールされているかどうかをチェックしてマクロ MPFR_VERSION_MAJOR の値が 3 以上であることを確認するのが目的。have_macro を使って次のようにした。もっとうまい方法があるかもしれないが、情報が少なく、見つからなかった。

require 'mkmf'
 
$CFLAGS += " -Wall"
 
REQUIRE_VERSION = 3
 
dir_config("mpfr")
dir_config("gmp")
if have_header('mpfr.h') && have_library('mpfr') && have_header('gmp.h') && have_library('gmp')
  if have_macro('MPFR_VERSION_MAJOR', 'mpfr.h') do |src|
      src + <<SRC
#if MPFR_VERSION_MAJOR < #{REQUIRE_VERSION}
# error
>>>>>> MPFR_VERSION_MAJOR requires larger than #{REQUIRE_VERSION} <<<<<<
#endif
SRC
    end
    create_makefile("mpfr")
  end
end

2011-11-13

_ [映画] 『猿の惑星 - Planet Of The Apes』

おすすめ度:★★★☆☆

猿の惑星 - Planet Of The Apes


2012-11-13

_ [映画] 『フレンチ・コネクション2』

おすすめ度:★★★☆☆

フレンチ・コネクション2

_ [映画] 『永遠のマリア・カラス』

おすすめ度:★★★☆☆

永遠のマリア・カラス


2013-11-13

_ [映画] 『ジャン=クロード・ヴァン・ダム アサシン・ゲーム』

おすすめ度:★★★☆☆

ジャン=クロード・ヴァン・ダム アサシン・ゲーム

_ [映画] 『ビッグ』

おすすめ度:★★★★

ビッグ


2015-11-13

_ [映画] 『ハタリ!』

おすすめ度:★★★☆☆

ハタリ!


2016-11-13

_ [映画] 『プレミアム・ラッシュ』

おすすめ度:★★★☆☆

プレミアム・ラッシュ


2017-11-13

_ [映画] 『モンスター・ホテル2』

おすすめ度:★★★☆☆

モンスター・ホテル2